Subject: [bug#74092] [PATCH] fix gnutls package

From: Adam <[email-masked]>
Date: Tue, 29 Oct 2024 22:27:10 +0300

I confirm, after switching to     commit:
ad966c3844385e8f7b60b0dc915f92a1eba47e09,
I was able to build gnutls from the source.
How can I close the issue?

On Tue, Oct 29, 2024 at 9:43 PM Tomas Volf <[email-masked]> wrote:

> Adam <[email-masked]> writes:
>
> > The main reason I wrote the patch - I cannot build [email-masked] from
> source
> > code.
> > This command
> > ```
> > guix build [email-masked] --no-substitutes
> > ```
> > returns me this
> > ```
> >   expected hash: 0ghpyhhfa3nsraph6dws50jb3dc8g2cfl7dizdnyrm179fawakzp
> >   actual hash:   0kayjxy3rr2y08jjimz5f0dx92pq3xjiaj2pdnsn15h1rp2k21pa
> > hash mismatch for store item
> > '/gnu/store/9zh4mcmwp2afyl4ig56943w64czdz2kp-gnutls-3.8.3.tar.xz'
> > ```
> > Guix I'm using
> > ```
> >     guix:
> >       repository URL: https://git.savannah.gnu.org/git/guix.git
> >       branch: master
> >       commit: 4009d1de954d694cb11af391d4113d29c5c1379d
> > ```
> > Am I getting it right - you are suggesting I
> > replace "mirror://gnupg/gnutls/v" with
> > "https://gnutls.org/" or "ftp://gnutls.org" ?
> > I'm asking because I'm not the original author of this package, so it's
> not
> > obvious to me,
> > what will be the right decision here?
>
> I suspect this might have been fixed by
> a9c33e9f688fce88aed610ab04c650efb71b4ce6.  So I would recommend pulling
> current guix and trying the build once more.  It is likely it will work
> now.
>
> If yes, just close this issue, if no, please provide the new error (the
> URL should be different).
>
> Have a nice day,
> Tomas
>
> --
> There are only two hard things in Computer Science:
> cache invalidation, naming things and off-by-one errors.
>